# coding: utf-8

"""
    Fingerprint Pro Server API

    Fingerprint Pro Server API allows you to get information about visitors and about individual events in a server environment. It can be used for data exports, decision-making, and data analysis scenarios. Server API is intended for server-side usage, it's not intended to be used from the client side, whether it's a browser or a mobile device.   # noqa: E501

    OpenAPI spec version: 3
    Contact: support@fingerprint.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class HighActivityResult(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'result': 'bool',
        'daily_requests': 'float'
    }

    attribute_map = {
        'result': 'result',
        'daily_requests': 'dailyRequests'
    }

    def __init__(self, result=None, daily_requests=None):  # noqa: E501
        """HighActivityResult - a model defined in Swagger"""  # noqa: E501
        self._result = None
        self._daily_requests = None
        self.discriminator = None
        self.result = result
        if daily_requests is not None:
            self.daily_requests = daily_requests

    @property
    def result(self):
        """Gets the result of this HighActivityResult.  # noqa: E501

        Flag indicating whether the request came from a high activity visitor.  # noqa: E501

        :return: The result of this HighActivityResult.  # noqa: E501
        :rtype: bool
        """
        return self._result

    @result.setter
    def result(self, result):
        """Sets the result of this HighActivityResult.

        Flag indicating whether the request came from a high activity visitor.  # noqa: E501

        :param result: The result of this HighActivityResult.  # noqa: E501
        :type: bool
        """
        if result is None:
            raise ValueError("Invalid value for `result`, must not be `None`")  # noqa: E501

        self._result = result

    @property
    def daily_requests(self):
        """Gets the daily_requests of this HighActivityResult.  # noqa: E501

        Number of requests from the same visitor in the previous day.  # noqa: E501

        :return: The daily_requests of this HighActivityResult.  # noqa: E501
        :rtype: float
        """
        return self._daily_requests

    @daily_requests.setter
    def daily_requests(self, daily_requests):
        """Sets the daily_requests of this HighActivityResult.

        Number of requests from the same visitor in the previous day.  # noqa: E501

        :param daily_requests: The daily_requests of this HighActivityResult.  # noqa: E501
        :type: float
        """

        self._daily_requests = daily_requests

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(HighActivityResult, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, HighActivityResult):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, HighActivityResult):
            return True

        return self.to_dict() != other.to_dict()
